Uploaded image for project: 'Gradle'
  1. Gradle
  2. GRADLE-3167

log4j-over-slf4j version upgrade

    Details

    • Type: Bug
    • Status: Resolved
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.2-rc-1
    • Gradle Forums topic Reference:

      Description

      The currently used log4j-over-slf4j version 1.7.5 has a bug (see [1]http://bugzilla.slf4j.org/show_bug.cg... )

      I am currently porting a maven plugin for JiBX (see [2]http://jibx.org ) to gradle and this bug is blocking me because JiBX code uses the missing method. The only workaround I have is replacing slf4j jars in my gradle folder with newer versions. I have tried slf4j 1.7.6 and 1.7.7 - both of them have this bug fixed.

      Thanks in advance,
      Alexander
      ----------------------------------------------------------------------------------------
      [1] http://bugzilla.slf4j.org/show_bug.cgi?id=279
      [2] http://jibx.org

        Activity

        Hide
        shutyaev Alexander Shutyaev added a comment -

        added pull request with a fix
        https://github.com/gradle/gradle/pull/328

        Show
        shutyaev Alexander Shutyaev added a comment - added pull request with a fix https://github.com/gradle/gradle/pull/328

          People

          • Assignee:
            breskeby René Gröschke
            Reporter:
            forums Gradle Forums
          • Votes:
            1 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development